Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bugzilla DB migration completed. Please report issues to Infra team via email via infra@gentoo.org or IRC
Bug 383363 - media-video/ogmrip-0.13.6 needs threads patch to enable multithreading
Summary: media-video/ogmrip-0.13.6 needs threads patch to enable multithreading
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: [OLD] Unspecified (show other bugs)
Hardware: All Linux
: High enhancement (vote)
Assignee: Olivier Rolland
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-09-17 15:32 UTC by godmachine (Lance Poore)
Modified: 2014-05-02 19:48 UTC (History)
3 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
ogmrip-0.13-threads.patch (ogmrip-0.13-threads.patch,6.30 KB, patch)
2011-09-17 15:33 UTC, godmachine (Lance Poore)
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description godmachine (Lance Poore) 2011-09-17 15:32:42 UTC
The ogmrip-0.13.6 ebuild doesn't contain the patch that enables threading to multiple cores.  I am attaching the patch

Reproducible: Always

Steps to Reproduce:
1.emerge media-video/ogmrip
2.Run omgrip and Open Preferences
3.no thread option available, noticeable when encoding on multiple core cpu.
Actual Results:  
Only 1 cpu thread was enabled, resulting in a slow encoding process

Expected Results:  
User should be able to select the preferred amount of threads based on their cpu
Comment 1 godmachine (Lance Poore) 2011-09-17 15:33:39 UTC
Created attachment 286781 [details, diff]
ogmrip-0.13-threads.patch
Comment 2 Olivier Rolland 2011-09-19 18:14:12 UTC
That's not exactly true : threading to multiple cores is available in 0.13.6 but not configurable. This patch makes it configurable.
Comment 3 godmachine (Lance Poore) 2011-09-19 18:40:01 UTC
(In reply to comment #2)
funny thing that ogmrip-0.13.6 was only using 1 core (monitored by htop)  when running without the patch.. After patching, it does make it configurable, but also sets the appropriate number of cores automatically, and after doing so I could monitor with htop and see all cores in use by ogmrip, maybe it was lying before?
Comment 4 Olivier Rolland 2011-09-19 18:57:43 UTC
Then I suppose there was a bug. Anyway feel free to apply the patch, it's already in OGMRip's subversion.
Comment 5 Sven Vermeulen (RETIRED) gentoo-dev 2014-05-02 19:48:07 UTC
I confirm that ogmrip-0.13.8 contains the thread patch; closing this as FIXED.